----------------------------------------------------------------------
-- This file is owned and controlled by Xilinx and must be used     --
-- solely for design, simulation, implementation and creation of    --
-- design files limited to Xilinx devices or technologies. Use      --
-- with non-Xilinx devices or technologies is expressly prohibited  --
-- and immediately terminates your license.                         --
--                                                                  --
-- Xilinx products are not intended for use in life support         --
-- appliances, devices, or systems. Use in such applications are    --
-- expressly prohibited.                                            --
--                                                                  --
-- Copyright (C) 2001, Xilinx, Inc.  All Rights Reserved.           --
----------------------------------------------------------------------

-- You must compile the wrapper file lpfilter.vhd when simulating
-- the core, lpfilter. When compiling the wrapper file, be sure to
-- reference the XilinxCoreLib VHDL simulation library. For detailed
-- instructions, please refer to the "Coregen Users Guide".

-- The synopsys directives "translate_off/translate_on" specified
-- below are supported by XST, FPGA Express, Exemplar and Synplicity
-- synthesis tools. Ensure they are correct for your synthesis tool(s).

-- synopsys translate_off
LIBRARY ieee;
USE ieee.std_logic_1164.ALL;

Library XilinxCoreLib;
ENTITY lpfilter IS
	port (
	ND: IN std_logic;
	RDY: OUT std_logic;
	CLK: IN std_logic;
	RFD: OUT std_logic;
	DIN: IN std_logic_VECTOR(11 downto 0);
	DOUT: OUT std_logic_VECTOR(27 downto 0));
END lpfilter;

ARCHITECTURE lpfilter_a OF lpfilter IS

component wrapped_lpfilter
	port (
	ND: IN std_logic;
	RDY: OUT std_logic;
	CLK: IN std_logic;
	RFD: OUT std_logic;
	DIN: IN std_logic_VECTOR(11 downto 0);
	DOUT: OUT std_logic_VECTOR(27 downto 0));
end component;

-- Configuration specification 
	for all : wrapped_lpfilter use entity XilinxCoreLib.C_DA_FIR_V5_0(behavioral)
		generic map(
			c_shape => 0,
			c_saturate => 0,
			c_data_width => 12,
			c_zpf => 1,
			c_has_sel_o => 0,
			c_has_sel_i => 0,
			c_has_sin_r => 0,
			c_optimize => 1,
			c_mem_init_file => "lpfilter.mif",
			c_has_sin_f => 0,
			c_use_model_func => 0,
			c_reg_output => 1,
			c_reload => 0,
			c_reload_delay => 594,
			c_has_sout_r => 0,
			c_data_type => 0,
			c_latency => 11,
			c_polyphase_factor => 1,
			c_filter_type => 0,
			c_result_width => 28,
			c_has_sout_f => 0,
			c_coeff_width => 12,
			c_baat => 12,
			c_reload_mem_type => 1,
			c_enable_rlocs => 0,
			c_channels => 1,
			c_coeff_type => 0,
			c_response => 1,
			c_taps => 34);
BEGIN

U0 : wrapped_lpfilter
		port map (
			ND => ND,
			RDY => RDY,
			CLK => CLK,
			RFD => RFD,
			DIN => DIN,
			DOUT => DOUT);
END lpfilter_a;

-- synopsys translate_on

