# --------------------------------------------------------
puts "Simulation script for HERON-IO2V2 Example 2"
# --------------------------------------------------------
vlib work
vlib sim_lib
vcom -just e -93 -explicit   -work sim_lib ../../Common/SIM_MSG.vhd
vcom -skip e -93 -explicit   -work sim_lib ../../Common/SIM_MSG.vhd
vcom -just e -93 -explicit   -work sim_lib ../../Common/SIM_RD_6F.vhd
vcom -skip e -93 -explicit   -work sim_lib ../../Common/SIM_RD_6F.vhd
vcom -just e -93 -explicit   -work sim_lib ../../Common/SIM_WR_6F.vhd
vcom -skip e -93 -explicit   -work sim_lib ../../Common/SIM_WR_6F.vhd
vcom -just e -93 -explicit   -work sim_lib ../src/sim_fifo.vhd
vcom -skip e -93 -explicit   -work sim_lib ../src/sim_fifo.vhd
vcom -just e -93 -explicit   ../../common/V2_RD_6F.vhd
vcom -skip e -93 -explicit   ../../common/V2_RD_6F.vhd
vcom -just e -93 -explicit   ../../common/HE_RWCLK.vhd
vcom -skip e -93 -explicit   ../../common/HE_RWCLK.vhd
vcom -just e -93 -explicit   ../../common/HE_USER.vhd
vcom -skip e -93 -explicit   ../../common/HE_USER.vhd
vcom -just e -93 -explicit   ../../common/HE_WR_6F.vhd
vcom -skip e -93 -explicit   ../../common/HE_WR_6F.vhd
vcom -just e -93 -explicit   ../../common/HE_ADC.vhd
vcom -skip e -93 -explicit   ../../common/HE_ADC.vhd
vcom -just e -93 -explicit   ../../common/HE_DAC.vhd
vcom -skip e -93 -explicit   ../../common/HE_DAC.vhd
vcom -just e -93 -explicit   ../../common/HE_SCLK.vhd
vcom -skip e -93 -explicit   ../../common/HE_SCLK.vhd
vcom -just e -93 -explicit   ../src/HSB2.vhd
vcom -skip e -93 -explicit   ../src/HSB2.vhd
vcom -just e -93 -explicit   ../src/CTR_ADC.vhd
vcom -skip e -93 -explicit   ../src/CTR_ADC.vhd
vcom -just e -93 -explicit   ../src/CTR_DAC.vhd
vcom -skip e -93 -explicit   ../src/CTR_DAC.vhd
vcom -just e -93 -explicit   ../src/DPRAM.vhd
vcom -skip e -93 -explicit   ../src/DPRAM.vhd
vcom         -93             ../src/lpfilter.vhd
vcom         -93 -explicit   ../src/User_Ap2.vhd
vcom -just e -93 -explicit   ../../common/TOP.vhd
vcom -skip e -93 -explicit   ../../common/TOP.vhd
vcom -just e -93 -explicit   ../Src/TB_EX2.vhd
vcom -skip e -93 -explicit   ../Src/TB_EX2.vhd
vsim -t 1ps  -L xilinxcorelib   -lib work testbench
do TB_EX2.udo
view wave
quietly virtual signal -install /testbench { (concat_range  (0 to 5) )( (context /testbench )(endf0 & endf1 & endf2 & endf3 & endf4 & endf5 ) )} End_Flags
add wave -noupdate -format Logic /testbench/osc3_pin
add wave -noupdate -format Logic /testbench/f1
add wave -noupdate -format Logic /testbench/diclk
add wave -noupdate -format Logic /testbench/reset_pin
add wave -noupdate -format Logic /testbench/go
add wave -noupdate -format Literal /testbench/End_Flags
add wave -noupdate -format Literal /testbench/dif_ef
add wave -noupdate -format Literal /testbench/dif_ae
add wave -noupdate -format Literal /testbench/dif_ren
add wave -noupdate -format Literal /testbench/dif_oen
add wave -noupdate -format Literal -radix hexadecimal /testbench/di
add wave -noupdate -format Literal /testbench/dof_ff
add wave -noupdate -format Literal /testbench/dof_af
add wave -noupdate -format Literal /testbench/dof_wen
add wave -noupdate -format Literal -radix hexadecimal /testbench/do
add wave -noupdate -format Literal /testbench/vpd
add wave -noupdate -format Logic /testbench/vinit
add wave -noupdate -format Logic /testbench/vcs
add wave -noupdate -format Logic /testbench/vwrite
add wave -noupdate -format Logic /testbench/vbusy
add wave -noupdate -format Literal /testbench/led
add wave -noupdate -format Logic /testbench/msg_start
add wave -noupdate -format Logic /testbench/msg_op
add wave -noupdate -format Literal /testbench/msg_addr
add wave -noupdate -format Literal /testbench/msg_din
add wave -noupdate -format Literal /testbench/msg_dout
add wave -noupdate -format Logic /testbench/msg_ready
add wave -noupdate -format Analog-Step -scale 0.004 /testbench/channel_a
add wave -noupdate -format Analog-Step -scale 0.004 /testbench/channel_b
view structure
view signals
run 40us
